<template>
  <p
    class="font-primary-font-regular md:font-primary-font-light affirm-as-low-as text-center"
    :data-page-type="pageType"
    data-affirm-color="black"
    :data-amount="totalPrice"
    @click="tealiumClick()"
    @keydown.enter="tealiumClick()"
  ></p>
</template>
<script>
import { mapState } from 'vuex'
export default {
  name: 'MkAffirmPrice',
  props: {
    totalPrice: {
      type: Number,
      default: 0,
    },
    pageType: {
      type: String,
      default: 'cart',
    },
  },
  computed: {
    ...mapState('USER_STORE', ['CUSTOMER_DETAILS_D2C_TEALIUM']),
  },
  watch: {
    totalPrice() {
      this.setAffirm()
    },
  },
  mounted() {
    this.setAffirm()
  },
  methods: {
    async setAffirm() {
      await this.$affirmAurora.init()
      this.$affirmAurora.refresh()
    },
    tealiumClick() {
      const customerDetails = this.$store.state.USER_STORE
        .CUSTOMER_DETAILS_D2C_TEALIUM
      const tealiumPayload = {
        event_category: 'Affirm',
        event_action: 'Clicked Affirm Learn More',
        page_type: 'Side-cart',
        ...customerDetails,
      }
      this.$root.$telium.setTealiumPayload(
        'cta_affirmLearnMore_click',
        tealiumPayload
      )
    }
  }
}
</script>
